Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class ModuleDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO
          org.wso2.wsas.persistence.dao.ModuleDAO

    public class ModuleDAO

extends BaseDAO

Data access object managing persistence operations related to Axis2 modules

Field Summary

Fields inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`hbConfig`

Constructor Summary
`ModuleDAO(HibernateConfig hbConfig)`

Method Summary
`void` | `addEngagedOperation(java.lang.String moduleName, java.lang.String version, OperationDO operation)`
`void` | `addEngagedService(java.lang.String moduleName, java.lang.String version, ServiceDO service)`
`void` | `addEngagedServiceGroup(java.lang.String moduleName, java.lang.String version, ServiceGroupDO serviceGroup)`
`void` | `addParameter(java.lang.String moduleName, java.lang.String version, ModuleParameterDO param)`
`void` | `addPolicy(java.lang.String moduleName, java.lang.String version, ModulePolicyDO policy)`
`void` | `deleteModule(java.lang.String moduleName, java.lang.String version)`
`ModuleDO[]` | `getAllModules()`
`OperationDO[]` | `getEngagedOperations(java.lang.String moduleName, java.lang.String version)`
`ServiceGroupDO[]` | `getEngagedServiceGroups(java.lang.String moduleName, java.lang.String version)`
`ServiceDO[]` | `getEngagedServices(java.lang.String moduleName, java.lang.String version)`
`ModuleDO` | `getModule(java.lang.String moduleName, java.lang.String version)`
`ModuleDO` | `getModule(java.lang.String moduleName, java.lang.String version, org.hibernate.Session session)`
`ModuleParameterDO` | `getParameter(ModuleDO module, java.lang.String paramName)`
`ModuleParameterDO[]` | `getParameters(ModuleDO module)`
`ModuleParameterDO[]` | `getParameters(java.lang.String moduleName, java.lang.String version)`
`ModulePolicyDO[]` | `getPolicies(ModuleDO module)`
`ModulePolicyDO[]` | `getPolicies(java.lang.String moduleName, java.lang.String version)`
`void` | `removeEngagedOperation(java.lang.String moduleName, java.lang.String version, OperationDO operation)`
`void` | `removeEngagedService(java.lang.String moduleName, java.lang.String version, ServiceDO serviceDO)`
`void` | `removeEngagedServiceGroup(java.lang.String moduleName, java.lang.String version, ServiceGroupDO serviceGrp)`
`void` | `updatePolicy(ModulePolicyDO modulePolicy)`

Methods inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`create, createOrUpdate, delete, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDAO

    public ModuleDAO(HibernateConfig hbConfig)

Method Detail

### getModule

    public ModuleDO getModule(java.lang.String moduleName,
                              java.lang.String version)

### deleteModule

    public void deleteModule(java.lang.String moduleName,
                             java.lang.String version)

### addEngagedService

    public void addEngagedService(java.lang.String moduleName,
                                  java.lang.String version,
                                  ServiceDO service)

### removeEngagedService

    public void removeEngagedService(java.lang.String moduleName,
                                     java.lang.String version,
                                     ServiceDO serviceDO)

### addEngagedServiceGroup

    public void addEngagedServiceGroup(java.lang.String moduleName,
                                       java.lang.String version,
                                       ServiceGroupDO serviceGroup)

### removeEngagedServiceGroup

    public void removeEngagedServiceGroup(java.lang.String moduleName,
                                          java.lang.String version,
                                          ServiceGroupDO serviceGrp)

### getEngagedServices

    public ServiceDO[] getEngagedServices(java.lang.String moduleName,
                                          java.lang.String version)

### getEngagedServiceGroups

    public ServiceGroupDO[] getEngagedServiceGroups(java.lang.String moduleName,
                                                    java.lang.String version)

### addEngagedOperation

    public void addEngagedOperation(java.lang.String moduleName,
                                    java.lang.String version,
                                    OperationDO operation)

### removeEngagedOperation

    public void removeEngagedOperation(java.lang.String moduleName,
                                       java.lang.String version,
                                       OperationDO operation)

### addPolicy

    public void addPolicy(java.lang.String moduleName,
                          java.lang.String version,
                          ModulePolicyDO policy)

### getEngagedOperations

    public OperationDO[] getEngagedOperations(java.lang.String moduleName,
                                              java.lang.String version)

### getPolicies

    public ModulePolicyDO[] getPolicies(java.lang.String moduleName,
                                        java.lang.String version)

### getPolicies

    public ModulePolicyDO[] getPolicies(ModuleDO module)

### updatePolicy

    public void updatePolicy(ModulePolicyDO modulePolicy)
                      throws ModulePolicyNotFoundException

  Throws:
    `ModulePolicyNotFoundException`

### addParameter

    public void addParameter(java.lang.String moduleName,
                             java.lang.String version,
                             ModuleParameterDO param)

### getParameters

    public ModuleParameterDO[] getParameters(java.lang.String moduleName,
                                             java.lang.String version)

### getParameters

    public ModuleParameterDO[] getParameters(ModuleDO module)

### getParameter

    public ModuleParameterDO getParameter(ModuleDO module,
                                          java.lang.String paramName)

### getModule

    public ModuleDO getModule(java.lang.String moduleName,
                              java.lang.String version,
                              org.hibernate.Session session)

### getAllModules

    public ModuleDO[] getAllModules()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD